...
 
Commits (3)
java-package (0.63) UNRELEASED; urgency=medium
[ Emmanuel Bourg ]
* Team upload.
* Removed support for the browser plugin (Closes: #779725)
* Suggest openjdk-8-jre instead of openjdk-7-jre
......@@ -7,7 +8,13 @@ java-package (0.63) UNRELEASED; urgency=medium
* Switch to debhelper level 11
* Use salsa.debian.org Vcs-* URLs
-- Emmanuel Bourg <ebourg@apache.org> Wed, 04 Jan 2017 16:07:59 +0100
[ Sven Hoexter ]
* Add override_dh_strip to disable striping the binaries.
Breaks debugging tools like jmap. (Closes: #852342)
* Add "--no-deps" commandline option to override execution of
"dh_shlibsdeps". (Closes: #857847)
-- Sven Hoexter <hoexter@debian.org> Mon, 22 Oct 2018 15:39:32 +0200
java-package (0.62) unstable; urgency=medium
......
......@@ -88,12 +88,24 @@ EOF
override_dh_compress:
dh_compress \$(shell find $j2se_name/man/ -type f ! -name '*.gz' -printf '${jvm_base##/}/%p\n')
override_dh_shlibdeps:
dh_shlibdeps \$(EXCLUDE_LIBS) -l\$(shell find $j2se_name -type f -name '*.so*' -printf '${jvm_base##/}/%h\n' | sort -u | tr '\n' ':' | sed 's/:\$\$//')
override_dh_strip_nondeterminism:
# Disable dh_strip_nondeterminism to speed up the build
override_dh_strip:
# Disable, breaks jmap and other tools - BTS #852342
EOF
if [ "${no_deps:-false}" == "true" ]; then
cat << EOF
override_dh_shlibdeps:
# Disabled, aides to generate one package for different Debian releases - BTS #857847
EOF
else
cat << EOF
override_dh_shlibdeps:
dh_shlibdeps \$(EXCLUDE_LIBS) -l\$(shell find $j2se_name -type f -name '*.so*' -printf '${jvm_base##/}/%h\n' | sort -u | tr '\n' ':' | sed 's/:\$\$//')
EOF
fi
}
j2se_doc_rules() {
......@@ -105,6 +117,9 @@ j2se_doc_rules() {
override_dh_strip_nondeterminism:
# Disable dh_strip_nondeterminism to speed up the build
override_dh_strip:
# Disable, breaks jmap and other tools - BTS #852342
EOF
}
......
......@@ -89,6 +89,7 @@ The following options are recognized:
--source build a source package instead of a binary deb package
--with-system-certs integrate with the system's keystore
--jce-policy FILE Replace cryptography files with versions from FILE
--no-deps Adds override for dh_shlibdeps based "Depends"
--help display this help and exit
--version output version information and exit
......@@ -146,6 +147,8 @@ while [[ $# -gt 0 && "x$1" == x--* ]]; do
revision="-${1}"
elif [[ "x$1" == x--changes ]]; then
genchanges="true"
elif [[ "x$1" == x--no-deps ]]; then
no_deps="true"
elif [[ "x$1" == x--source ]]; then
build_source="true"
elif [[ "x$1" == x--with-system-certs ]]; then
......@@ -245,9 +248,6 @@ echo
# get architecture information
get_architecture
# get browser plugin directories
get_browser_plugin_dirs
jvm_base="/usr/lib/jvm/"
javadoc_base="/usr/share/doc/"
......
......@@ -70,6 +70,10 @@ ca-certificates and ca-certificates-java packages.
Replace cryptography files with versions
from the specified JCE_POLICY_FILE.
.TP
.B --no-deps
Adds override for dh_shlibdeps based "Depends". Allows to build a package
without Debian release specific depdencies.
.TP
.B --help
display help text and exit
.TP
......